using IdentityServer4.Models;
using System.ComponentModel.DataAnnotations;

namespace Ladaer.BackEnd.Infrastructures.DTO.Models.Crm
{
    public class AssignManagerModel
    {
        [Required(ErrorMessage = "Chưa có thông tin khách hàng")]
        [Range(1, int.MaxValue, ErrorMessage = "Thông tin khách hàng không hợp lệ")]
        public int Id { get; set; }

        [Required(ErrorMessage = "Chưa có thông tin người quản lý")]
        [Range(1, int.MaxValue, ErrorMessage = "Thông tin người quản lý không hợp lệ")]
        public int ManagerId { get; set; }


        public string ManagerUserName { get; set; } = "";

        public string ManagerFullName { get; set; } = "";

        public int UpdatedBy { get; set; }

        public string UpdatedByUserName { get; set; } = "";
    }
}
